package server;

import org.apache.xmlrpc.server.PropertyHandlerMapping;
import org.apache.xmlrpc.server.XmlRpcServer;
import org.apache.xmlrpc.server.XmlRpcServerConfigImpl;
import org.apache.xmlrpc.webserver.WebServer;

import implementations.Confirm;

public class Server2 implements Runnable {
	public static final int port = 8051;

	public void run() {
		try {
			// spust web server
	        WebServer webServer = new WebServer(port);
	        // ziskej XML-RPC Server
	        XmlRpcServer xmlRpcServer = webServer.getXmlRpcServer();
	        PropertyHandlerMapping phm = new PropertyHandlerMapping();
	        phm.addHandler("interfaces.Confirmator", Confirm.class);
	        // prirad mapovani
	        xmlRpcServer.setHandlerMapping(phm);
	        // nastav konfiguraci
	        XmlRpcServerConfigImpl serverConfig =
	            (XmlRpcServerConfigImpl) xmlRpcServer.getConfig();
	        serverConfig.setEnabledForExtensions(true);
	        serverConfig.setContentLengthOptional(false);
	        // spust server
	        webServer.start();
		} catch (Exception e) {
			// neco je spatne - napis co
			e.printStackTrace();
		}
	}
}
