package clients;

import java.net.URL;
import org.apache.xmlrpc.client.XmlRpcClient;
import org.apache.xmlrpc.client.XmlRpcClientConfigImpl;
import org.apache.xmlrpc.client.XmlRpcCommonsTransportFactory;


public class Client3 {
    public static void main(String[] args) throws Exception {
        // vytvoreni konfigurace pro klienta
        XmlRpcClientConfigImpl config = new XmlRpcClientConfigImpl();
        config.setServerURL(new URL("http://127.0.0.1:8051")); // nastaveni adresy serveru
        config.setEnabledForExtensions(true);		// pridani extensions - odkloneni od standardu!
        config.setConnectionTimeout(60 * 1000);		// nastaveni timeoutu
        config.setReplyTimeout(60 * 1000);			// nastaveni reply timeoutu
        //vytvoreni klienta
        XmlRpcClient client = new XmlRpcClient();
      
        // vytvoreni trasportni casti (vyuzivame Jakarta Common HttpClient)
        client.setTransportFactory(
            new XmlRpcCommonsTransportFactory(client));
        // nastaveni (pripojeni) konfigurace
        client.setConfig(config);

        // vytvoreni vstupnich parametru
        Object[] params1 = new Object[] { new Integer(1128142090) };
        // vzdalene volani
        Boolean result1 = (Boolean) client.execute("interfaces.Confirmator.confirm", params1);
        System.out.println(params1[0].toString() + " - " + result1);
    }
}






