package implementations;

import server.DataInstance;
import server.DataInstance.Line;
import interfaces.CodeGenerator;
import interfaces.Registrator;

public class RegGen implements Registrator, CodeGenerator {

	public int generate(String name) {
		DataInstance data = DataInstance.getInstance();
		System.out.print("I: "+data);
		Line myLine = data.getLinebyName(name);
		if (myLine == null) {
			System.out.println("");
			return 0;
		} else {
			int hash = (myLine.name+"dsv").hashCode();
			if (myLine.code == null) data.addCode(name, hash);
			System.out.println("O: "+data);
			return hash;
		}
	}

	public Boolean register(String name) {
		DataInstance data = DataInstance.getInstance();
		System.out.print("I: "+data);
		Line myLine = data.getLinebyName(name);
		if (myLine != null) {
			System.out.println("");
			return false;
		} else {
			data.addLine(name);
			System.out.println("O: "+data);
			return true;
		}
	}

}
